Last Comment Bug 276345 - l10n CVS request: macedonian (mk-MK) firefox for Damjan Georgievski <gdamjan@on.net.mk>
: l10n CVS request: macedonian (mk-MK) firefox for Damjan Georgievski <gdamjan@...
Status: RESOLVED FIXED
sshkey, voucher
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Dave Miller [:justdave] (justdave@bugzilla.org)
: Dave Miller [:justdave] (justdave@bugzilla.org)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-29 05:28 PST by Damjan Georgievski
Modified: 2011-08-05 21:09 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
ssh public key (rsa) (216 bytes, text/plain)
2004-12-29 05:32 PST, Damjan Georgievski
no flags Details
browser/locales/mk-MK (80.79 KB, application/octet-stream)
2004-12-29 05:42 PST, Damjan Georgievski
no flags Details
toolkit/locales/mk-MK (127.90 KB, application/octet-stream)
2004-12-29 05:43 PST, Damjan Georgievski
no flags Details
toolkit/locales/mk-MK (131.48 KB, application/octet-stream)
2005-02-02 05:56 PST, Damjan Georgievski
no flags Details
zipped browser/locales/mk-MK (73.83 KB, application/octet-stream)
2005-02-23 07:52 PST, Damjan Georgievski
no flags Details
zipped toolkit/locales/mk-MK (131.54 KB, application/octet-stream)
2005-02-23 07:54 PST, Damjan Georgievski
no flags Details
patch for ./browser/locales/mk-MK/defines.inc (488 bytes, patch)
2005-02-24 02:58 PST, Damjan Georgievski
no flags Details | Diff | Review
patch browser/locales/mk-MK/installer/installer.inc (1.14 KB, patch)
2005-02-24 10:42 PST, Damjan Georgievski
no flags Details | Diff | Review
id_dsa.pub (614 bytes, text/plain)
2005-02-28 14:07 PST, Damjan Georgievski
no flags Details

Description Damjan Georgievski 2004-12-29 05:28:54 PST
 
Comment 1 Damjan Georgievski 2004-12-29 05:32:01 PST
Created attachment 169817 [details]
ssh public key (rsa)
Comment 2 Damjan Georgievski 2004-12-29 05:42:48 PST
Created attachment 169819 [details]
browser/locales/mk-MK
Comment 3 Damjan Georgievski 2004-12-29 05:43:41 PST
Created attachment 169820 [details]
toolkit/locales/mk-MK
Comment 4 Marcia Knous [:marcia - use ni] 2005-01-04 11:19:09 PST
At some point we need to get the CVS form - www.mozilla.org/hacking/form.html. 
Also someone needs to vouch.
Comment 5 Damjan Georgievski 2005-01-10 09:18:30 PST
(In reply to comment #4)
> At some point we need to get the CVS form - www.mozilla.org/hacking/form.html. 

The form is sent by mail (snail-mail). I hope you'll get it soon.
Comment 6 Damjan Georgievski 2005-01-18 03:48:42 PST
In the meantime, until the letter arrives, can you insert the files to CVS so
that we get a windows build?
bsmedberg?
Comment 7 Zibi Braniecki [:gandalf][:zibi] 2005-01-25 09:10:34 PST
Review: 

1) You will have to get license team agreement on your bookmarks. At the moment
you should use defult ones.
2) Files in /server/cvs/localization/mozilla/toolkit/locales/pl-PL/ not in
./mk-MK/toolkit/locales/mk-MK/:
  ./chrome/global/nsWebBrowserPersist.properties
  ./chrome/global/xbl.properties
  ./chrome/mozapps/extensions/update.dtd
  ./chrome/mozapps/extensions/mismatch.dtd
Comment 8 Damjan Georgievski 2005-01-25 09:21:57 PST
(In reply to comment #7)
> 1) You will have to get license team agreement on your bookmarks. At the moment
> you should use defult ones.

How do I get a "license team agreement"?

> 2) Files in /server/cvs/localization/mozilla/toolkit/locales/pl-PL/ not in
> ./mk-MK/toolkit/locales/mk-MK/:
>   ./chrome/global/nsWebBrowserPersist.properties
>   ./chrome/global/xbl.properties
>   ./chrome/mozapps/extensions/update.dtd
>   ./chrome/mozapps/extensions/mismatch.dtd

I'm not seeing those files here:
http://bonsai.mozilla.org/rview.cgi?dir=mozilla/toolkit/locales/pl-PL&cvsroot=/l10n-cvsroot&module=default&rev=AVIARY_1_0_20040515_BRANCH
Comment 9 Zibi Braniecki [:gandalf][:zibi] 2005-01-25 09:34:11 PST
those files are in every localization and they are required to build Firefox
with localization.

You can always do compare-locales on any of those:
http://lxr.mozilla.org/l10n-aviarybranch/source/
Comment 10 Zibi Braniecki [:gandalf][:zibi] 2005-01-25 09:38:35 PST
(In reply to comment #8)
> (In reply to comment #7)
> > 1) You will have to get license team agreement on your bookmarks. At the moment
> > you should use defult ones.
> 
> How do I get a "license team agreement"?

You can take a look on how pl-PL solved it in bug 265231 - the way was described
somehwere on n.p.m.l10n. Rebron will have to accept your changes - CC him
Comment 11 Marcia Knous [:marcia - use ni] 2005-01-27 16:36:40 PST
Form received.
Comment 12 Marcia Knous [:marcia - use ni] 2005-01-27 16:43:38 PST
gandalf has reviewed, account can be created. reassigning to myk.
Comment 13 Damjan Georgievski 2005-01-31 13:00:43 PST
> 2) Files in /server/cvs/localization/mozilla/toolkit/locales/pl-PL/ not in
> ./mk-MK/toolkit/locales/mk-MK/:
>   ./chrome/global/nsWebBrowserPersist.properties
>   ./chrome/global/xbl.properties
>   ./chrome/mozapps/extensions/update.dtd
>   ./chrome/mozapps/extensions/mismatch.dtd

I'll upload these files as soon I get CVS access... unless I don't get it - in
that case I'll send them as an attachment.

Comment 14 Zibi Braniecki [:gandalf][:zibi] 2005-02-01 08:39:40 PST
As I did not check in your l10n files yet, you can just send another zip with
updated files. I'll review it and check in ASAP.
Comment 15 Damjan Georgievski 2005-02-02 05:56:14 PST
Created attachment 173169 [details]
toolkit/locales/mk-MK

Attached revised toolkit.zip
Comment 16 Damjan Georgievski 2005-02-03 17:22:06 PST
bug #281011 created, requesting a review of the bookmarks file.
Comment 17 Damjan Georgievski 2005-02-23 07:52:26 PST
Created attachment 175305 [details]
zipped browser/locales/mk-MK

Final updates to browser/locales/mk-MK, bookmarks updated as the latest from
bug #281011 which I hope will be approved
Comment 18 Damjan Georgievski 2005-02-23 07:54:05 PST
Created attachment 175306 [details]
zipped toolkit/locales/mk-MK

Latest (final) update to toolkit/locales/mk-MK translation.
Comment 19 Zibi Braniecki [:gandalf][:zibi] 2005-02-23 09:57:03 PST
checked in
Comment 20 Zibi Braniecki [:gandalf][:zibi] 2005-02-23 16:43:02 PST
Also a note.
You should ASAP fix browser/defines.inc. There is CREATOR set on mozilla.org.
Comment 21 Damjan Georgievski 2005-02-24 02:58:57 PST
Created attachment 175418 [details] [diff] [review]
patch for ./browser/locales/mk-MK/defines.inc
Comment 22 Damjan Georgievski 2005-02-24 03:03:49 PST
Also there's a patch for the bookmarks in bug #281011 thats approved.
Comment 23 Damjan Georgievski 2005-02-24 10:42:26 PST
Created attachment 175452 [details] [diff] [review]
patch browser/locales/mk-MK/installer/installer.inc

There was one character that can't be converted to windows-1251 and it broke
the windows build.
Comment 24 Damjan Georgievski 2005-02-25 14:32:05 PST
Comment on attachment 175452 [details] [diff] [review]
patch browser/locales/mk-MK/installer/installer.inc

>--- ./browser/locales/mk-MK/installer/installer.inc	2005-02-24 19:40:11.000000000 +0100
>+++ ./browser/locales/mk-MK/installer/installer.inc-old	2004-12-23 21:30:15.000000000 +0100
>@@ -69,7 +69,7 @@
> #define ADV_SETTINGS_MSG Ако вашата интернет врска бара прокси сервер, внесете информации за вашиот сервер и порта. Ако вашата интернет врска не бара прокси сервер, оставете ги полињата празни.
> 
> #define START_TITLE Преглед
>-#define START_SUBTITLE Се е спремно за инсталација на $ProductShortName$.
>+#define START_SUBTITLE Сè е спремно за инсталација на $ProductShortName$.
> #define START_INSTALL Програмата за инсталирање ќе ги инсталира следниве компоненти:
> #define START_DOWNLOAD Програмата за инсталирање ќе ги преземе и инсталира следниве компоненти:
> #define START_MESSAGE0 Притиснете „Напред“ за да продолжите.
Comment 25 Gervase Markham [:gerv] 2005-02-28 13:07:25 PST
Reassigning to Dave to take care of.

Gerv
Comment 26 Myk Melez [:myk] [@mykmelez] 2005-02-28 14:00:41 PST
I have created the account, but we prefer to use SSH version 2 DSA keys, not RSA
keys.  Please create a DSA key (ssh-keygen -t dsa) and attach the public half of
it (id_dsa.pub) to this bug.

The account's username is the same as the email address in the summary of this
bug, except that the at sign (@) in the address has been replaced with a
percentage sign (%).  See the CVS over SSH FAQ and the Localizing Firefox docs
for more info about how to use the account:

http://mozilla.org/cvs-ssh-faq.html
http://www.mozilla.org/projects/firefox/l10n/
Comment 27 Damjan Georgievski 2005-02-28 14:07:33 PST
Created attachment 175849 [details]
id_dsa.pub

Here's the DSA public key.
Does this mean that now I can check-in the 4 approved patches for Firefox 1.0.1

(bugs #283712 and #281011) or I should wait for someone else to check-in them
(asa or gandalf)??
Comment 28 Myk Melez [:myk] [@mykmelez] 2005-02-28 14:15:21 PST
> Here's the DSA public key.

Thanks!  I've replaced your RSA key with this one.

> Does this mean that now I can check-in the 4 approved patches for Firefox
> 1.0.1 (bugs #283712 and #281011) or I should wait for someone else to
> check-in them (asa or gandalf)??

It's unclear when you can check these in.  I've cc:ed Asa on this bug.  Please
wait to check these in until you hear from him.
Comment 29 Zibi Braniecki [:gandalf][:zibi] 2005-03-01 01:37:04 PST
If you have approval-l10n+ on some patches you can check them in by yourself.
Asa, Pike or me is needed to give approval only.

Note You need to log in before you can comment on or make changes to this bug.